Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007802TestLinkAPI - XMLRPCpublic2017-01-03 18:222017-03-23 08:20
Reporteranton7811 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformLinuxOSScientificLinuxOS Version7.1
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0007802: Need an API to move test case between test suites
DescriptionActually I have a patch how to extend xmlrpc API but need an approval that it's good, maybe I have missed something?


$ diff -C5 lib/api/xmlrpc/v1/xmlrpc.class.php.orig lib/api/xmlrpc/v1/xmlrpc.class.php
*** lib/api/xmlrpc/v1/xmlrpc.class.php.orig 2017-01-03 18:49:51.141165047 +0200
--- lib/api/xmlrpc/v1/xmlrpc.class.php 2017-01-03 19:56:36.929123932 +0200
***************
*** 6242,6251 ****
--- 6242,6262 ----
        }
      }
  
      if($status_ok)
      {
+ // if exist proceed with test suite update
+ if ($this->_isParamPresent(self::$testSuiteIDParamName))
+ {
+ $testSuiteID = $this->args[self::$testSuiteIDParamName];
+ $this->tprojectMgr->tree_manager->change_parent($tcaseID,$testSuiteID);
+ }
+ }
+
+
+ if($status_ok)
+ {
        // $this->args['debug'] = $debug_info;
        // missing
        // update updater and modification time stamp
        $this->tcaseMgr->updateChangeAuditTrial($tcversion_id,$updaterID);
        return array('status_ok' => true, 'msg' => 'ok', 'operation' => __FUNCTION__);
TagsNo tags attached.
Database (MySQL,Postgres,etc)mariadb-5.5
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
related to 0007875resolvedfman new method setTestCaseTestSuite 

-  Notes
(0025816)
fman (administrator)
2017-01-03 18:53

Please fork our github repo and create merge/pull request
(0025846)
anton7811 (reporter)
2017-01-17 14:45

Created one:
https://github.com/TestLinkOpenSourceTRMS/testlink-code/pull/77 [^]

Was blocked by http://mantis.testlink.org/view.php?id=7701 [^] but found a workaround.
(0026007)
anton7811 (reporter)
2017-02-21 08:21

Hi fman,

Have you had a chance to take a look at my pool request? I'd like to add a few more and want to close this one first.

Thank you in advance!
(0026017)
fman (administrator)
2017-02-22 18:54

Unfortunately I have no time now => continue your development and do new pull requests.
(0026166)
anton7811 (reporter)
2017-03-23 08:20

As I understand this is the commit: https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/daad31737cda2c5882a240a652d4c5c31a0bdaeb [^]

Thank you! I'll port it to 1.9.14.
You can close this ticket. For other updates I'll create a new one.

- Issue History
Date Modified Username Field Change
2017-01-03 18:22 anton7811 New Issue
2017-01-03 18:53 fman Note Added: 0025816
2017-01-03 18:53 fman Assigned To => fman
2017-01-03 18:53 fman Status new => feedback
2017-01-17 14:45 anton7811 Note Added: 0025846
2017-01-17 14:45 anton7811 Status feedback => assigned
2017-02-21 08:21 anton7811 Note Added: 0026007
2017-02-22 18:54 fman Note Added: 0026017
2017-03-13 22:28 fman QA Team - Task Workflow Status => TBD
2017-03-13 22:28 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-03-13 22:28 fman Relationship added related to 0007875
2017-03-13 22:28 fman Status assigned => resolved
2017-03-13 22:28 fman Resolution open => fixed
2017-03-23 08:20 anton7811 Note Added: 0026166



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker